
package de.ivu.elect.business.internet.boundary;

import java.io.Serializable;

import de.ivu.elect.business.internet.entity.InternetWidget;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class InternetWidgetFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public InternetWidget create() {
        InternetWidget entity = new InternetWidget(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(InternetWidget entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
